Bug 469023 - Review Request: perl-Class-Adapter - Perl implementation of the "Adapter" Design Pattern
Review Request: perl-Class-Adapter - Perl implementation of the "Adapter" Des...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matěj Cepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 10:53 EDT by Marcela Mašláňová
Modified: 2018-04-11 05:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-04 02:23:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2008-10-29 10:53:46 EDT
Description:
The Class::Adapter class is intended as an abstract base class for creating
any sort of class or object that follows the Adapter pattern.

http://mmaslano.fedorapeople.org/perl-Class-Adapter/perl-Class-Adapter-1.05-1.fc10.src.rpm 
http://mmaslano.fedorapeople.org/perl-Class-Adapter/perl-Class-Adapter.spec
Comment 1 Jason Tibbitts 2008-10-29 11:58:25 EDT
Please try to use the template when posting review requests.
Comment 2 Matěj Cepl 2008-11-03 07:02:04 EST
+ GOOD: rpmlint is silent on both source and binary package.
+ GOOD: The package is named according to the Package Naming Guidelines .
+ GOOD: The spec file name matches the base package %{name}, in the format
  %{name}.spec.
+ GOOD: The package meets the Packaging Guidelines .
+ GOOD: The package is licensed with a Fedora approved license and meet the
Licensing Guidelines .
+ GOOD: The License field in the package spec file matches the actual license.
+ GOOD: LICENSE file is in %doc.
+ GOOD: The spec file is written in American English.
+ GOOD: The spec file for the package is legible.
+ GOOD: The sources used to build the package matches the upstream source,
as provided in the spec URL.
39b4b06a30b770ae5a7ee42dccdf143e  Class-Adapter-1.05.tar.gz
+ GOOD: The package successfully compiles and build into binary rpms on at
least one supported architecture.
http://koji.fedoraproject.org/koji/taskinfo?taskID=915478
+ GOOD: noarch, so it compiles everywhere.
+ GOOD: All build dependencies are listed in BuildRequires.
+ GOOD: The spec file MUST handle locales properly.
  No locale support.
+ GOOD: no libraries
+ GOOD: not relocatable
+ GOOD: A package owns all directories that it creates.
  Follows perl guidelines.
+ GOOD: A package must not contain any duplicate files in the %files listing.
+ GOOD: Permissions on files must be set properly.
+ GOOD: Each package have a %clean section.
+ GOOD: Each package consistently use macros.
+ GOOD: The package contains code, or permissable content.
+ GOOD: No large documentation files, so no a -doc subpackage.
+ GOOD: Files registered in %doc does not affect the runtime of the
application.
+ GOOD: No header files.
+ GOOD: No static libraries.
+ GOOD: No pkgconfig(.pc) files.
+ GOOD: The package does not contain library files with a suffix.
+ GOOD: No devel packages.
+ GOOD: No .la libtool archives.
+ GOOD: Packages does not contain GUI applications.
+ GOOD: Packages does not own files or directories owned by other packages.
+ GOOD: Runs rm -rf $RPM_BUILD_ROOT in %install
+ GOOD: All filenames in rpm packages are valid UTF-8.
+ SHOULD: Includes license text.
Comment 3 Matěj Cepl 2008-11-03 07:02:44 EST
Approved.
Comment 4 Marcela Mašláňová 2008-11-03 07:19:24 EST
New Package CVS Request
=======================
Package Name: perl-Class-Adapter
Short Description: base for creating class follows the Adapter pattern
Owners: mmaslano
Branches: devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 5 Dennis Gilmore 2008-11-03 13:54:02 EST
cvs done

Note You need to log in before you can comment on or make changes to this bug.